# Uses of Interface
net.shibboleth.idp.cas.service.ServiceRegistry

Packages that use ServiceRegistry
Package
Description
net.shibboleth.idp.cas.flow.impl
CAS protocol flow implementations.
net.shibboleth.idp.cas.service
APIs related to CAS services.
net.shibboleth.idp.cas.service.impl
CAS protocol service implementations.

## Uses of ServiceRegistry in net.shibboleth.idp.cas.flow.impl

Fields in net.shibboleth.idp.cas.flow.impl with type parameters of type ServiceRegistry
Modifier and Type
Field
Description
`private final List<ServiceRegistry>`
BuildRelyingPartyContextAction.`serviceRegistries`
List of registries to query for verified CAS services (relying parties).
Constructors in net.shibboleth.idp.cas.flow.impl with parameters of type ServiceRegistry
Modifier
Constructor
Description
``
`BuildRelyingPartyContextAction(ServiceRegistry... registries)`
Creates a new instance.

## Uses of ServiceRegistry in net.shibboleth.idp.cas.service

Classes in net.shibboleth.idp.cas.service that implement ServiceRegistry
Modifier and Type
Class
Description
`class`
`PatternServiceRegistry`
Service registry that evaluates a candidate service URL against one or more defined services, where each definition contains a service URL regular expression pattern.

## Uses of ServiceRegistry in net.shibboleth.idp.cas.service.impl

Classes in net.shibboleth.idp.cas.service.impl that implement ServiceRegistry
Modifier and Type
Class
Description
`class`
`MetadataServiceRegistry`
CAS service registry implementation that queries SAML metadata for a CAS service given a CAS service URL using the following strategy.
`class`
`ReloadingServiceRegistry`
Service registry wrapper around a `ReloadableService`.
Fields in net.shibboleth.idp.cas.service.impl with type parameters of type ServiceRegistry
Modifier and Type
Field
Description
`private final ReloadableService<ServiceRegistry>`
ReloadingServiceRegistry.`service`
The service that manages the reloading.
Constructor parameters in net.shibboleth.idp.cas.service.impl with type arguments of type ServiceRegistry
Modifier
Constructor
Description
``
`ReloadingServiceRegistry(ReloadableService<ServiceRegistry> delegate)`
Creates a new instance.